×

Discussion Board

Results 1 to 13 of 13
  1. #1
    Registered User
    Join Date
    Aug 2004
    Posts
    1

    can't install PyreplForSeries60.SIS to 3650

    I send it via bluetooth. when install it alert "Application may note be compatible with phone. Quit installation?". I select No but it cannot install.
    My firmware : V 2.50 13-02-2003 NHL-8"

  2. #2
    Registered User
    Join Date
    Dec 2003
    Posts
    17

    Also on Ngage

    It's the same with the Ngage when I tried to install this. I think it's the same on all serie 60 1.2 phone.

  3. #3
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    76
    vyskocil - just curious, is this a 1st gen N-Gage or a QD? Python for Series 60 is known to work on both, but only the QD was used as a testing platform.

    Python should install on Series 60 1.2 devices. I'm pretty sure the 3650 is a 1.0 device; However, there are numerous people who have it working on the 3650.

    Can you provide a little more information about the device? Ie., are you installing onto the device memory or MMC? How much free space do you have where you are trying to install? Did you have a previous Python beta installed?

    Cheers!

  4. #4
    Registered User
    Join Date
    Jan 2005
    Posts
    7
    Originally posted by eriksmartt
    vyskocil - just curious, is this a 1st gen N-Gage or a QD? Python for Series 60 is known to work on both, but only the QD was used as a testing platform.
    Should Pyrepl work on 1st gen N-Gage too?
    Although the actual interpreter has been working perfectly, trying to install PyreplForSeries60.SIS fails with "Unable to install. Series60ProductId required".

    Programming with Python for Series 60 Platrofm mentions py2sis being targeted only for S60 2.0 devices, leaving S60 1.0 devices without easy installation method for Python applications? Maybe Pyrepl is py2sis package?
    Last edited by terosaarni; 2005-01-13 at 06:00.

  5. #5
    Registered User
    Join Date
    Dec 2003
    Posts
    17

    Yes 1st génération N-gage

    It's all the same as terosaarni, python package work great but I can't install Pyrepl package because it must be packaged only for serie 60 2.0 phone (?)

  6. #6
    Regular Contributor
    Join Date
    Aug 2004
    Posts
    295
    Well, this is how you could make it work.

    1) Install unsis(*) application and run it on pyrepl
    2) create a new .pkg-file (take a look at sdk example files). Make it so that it's product id is following:
    (0x101F6F88), 0, 0, 0, {"Series60ProductID"} (this should work with every s60 phone).
    3) run makesis, and install

    note: not tested

    * http://www.symbian.com/developer/downloads/tools.html

  7. #7
    Registered User
    Join Date
    Jan 2005
    Posts
    7
    Thanks Simo, creating new .sis for Pyrepl fixed that problem.

    Pyrepl seems to work on S60 1.0 device too. I wonder why the original package contains product ID preventing the install.

    --
    Tero

  8. #8
    Registered User
    Join Date
    Jan 2005
    Posts
    1
    hi, could someone send me correct sis file for 3650?thnx lokiji@seznam.cz

  9. #9
    Registered User
    Join Date
    Jan 2005
    Location
    Czech Republic
    Posts
    1
    Originally posted by terosaarni
    Thanks Simo, creating new .sis for Pyrepl fixed that problem.

    Pyrepl seems to work on S60 1.0 device too. I wonder why the original package contains product ID preventing the install.

    --
    Tero
    Can you send me this new .SIS file please? Robot2037@Centrum.cz
    Thanx.

  10. #10
    Registered User
    Join Date
    Jan 2005
    Posts
    7
    Originally posted by simo.salminen
    Well, this is how you could make it work.

    1) Install unsis(*) application and run it on pyrepl
    2) create a new .pkg-file (take a look at sdk example files). Make it so that it's product id is following:
    (0x101F6F88), 0, 0, 0, {"Series60ProductID"} (this should work with every s60 phone).
    3) run makesis, and install

    note: not tested

    * http://www.symbian.com/developer/downloads/tools.html
    This leads me to question. I have Siemens SX1 - SDK 1.2 phone. There is no py2sis for S60 1.0 devices.
    Would it help to use py2sis from 2nd ed. combined with unsis, changing productid and makesis again to get py2sis work for my target device? ;-)

  11. #11
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    76
    yeah, i'm an idiot... I misread the first post and didn't realize it was just Pyrepl that you were having trouble with. Let me see if we can build an installer for SDK 1.x and try to find somewhere to put it for downloading. simo.salminen's suggestion was great though :-)

  12. #12
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    76
    About py2sis and SDK 1.2, otsov answered it in this thread: http://discussion.forum.nokia.com/fo...threadid=55418. The solution? Run "py2sis" with the "--presdk20" switch.

  13. #13
    Registered User
    Join Date
    Sep 2005
    Posts
    2

    Re: can't install PyreplForSeries60.SIS to 3650

    I can not install UNSIS because I can not install the exe file in OSX.

    Can someone help me?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •